> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark All Read



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/notifications/read-all
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/notifications/read-all:
    post:
      tags:
        - Notifications
      summary: Mark All Read
      operationId: NotificationsController_markAllRead_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MarkAllReadDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarkAllReadResponseDto'
components:
  schemas:
    MarkAllReadDto:
      type: object
      properties:
        filter:
          default: all
          type: string
          enum:
            - all
            - unread
            - mentions
        source:
          enum:
            - projects
            - collections
            - submittals
            - approvals
            - client-reviews
            - ready-to-order
            - respec
            - catalog
            - standards
            - other
          type: string
      additionalProperties: false
    MarkAllReadResponseDto:
      type: object
      properties:
        markedRead:
          type: number
        unread:
          type: number
      required:
        - markedRead
        - unread

````